# XQilla Simple API Documentation

# Scope.hpp File Reference

`#include <xqilla/framework/XQillaExport.hpp>`
`#include <xqilla/context/VarHashEntry.hpp>`
`#include <vector>`
`#include <xercesc/util/RefHash2KeysTableOf.hpp>`
`#include <xercesc/util/XMemory.hpp>`
Include dependency graph for Scope.hpp:

Go to the source code of this file.

## Classes

class | Scope< TYPE >
| used inside VariableStore to implement variable scoping More...